package com.ydl.ydlcommon.ui;

import android.os.Parcel;
import android.os.Parcelable;

public class ParcelableImage  implements Parcelable{
    private String image_url;

    public ParcelableImage() {
    }

    public ParcelableImage(String image_url) {
        this.image_url = image_url;
    }

    protected ParcelableImage(Parcel in) {
        image_url = in.readString();
    }

    public static final Creator<ParcelableImage> CREATOR = new Creator<ParcelableImage>() {
        @Override
        public ParcelableImage createFromParcel(Parcel in) {
            ParcelableImage recommendTrendImage=new ParcelableImage();
            recommendTrendImage.image_url=in.readString();
            return recommendTrendImage;
        }

        @Override
        public ParcelableImage[] newArray(int size) {
            return new ParcelableImage[size];
        }
    };

    public String getImage_url() {
        return image_url;
    }

    public void setImage_url(String image_url) {
        this.image_url = image_url;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(image_url);
    }
}
